com.tibco.n2.service.adapter.binding

## Interface WorkPresentationService

- All Known Implementing Classes:
    WorkPresentationService

      public interface WorkPresentationService

  Interface to provide the `WorkPresentationService` methods.

  ©2011 TIBCO Software Inc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse` | `cancelWorkItem(com.tibco.n2.wp.api.base.BaseWorkRequest request)` Cancel a work item (discarding any changes to the associated data).
    `com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse` | `closeWorkItem(com.tibco.n2.wp.api.base.WorkRequest request)` Close a work item (and update the associated input and output data).
    `com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse` | `completeWorkItem(com.tibco.n2.wp.api.base.WorkRequest request)` Complete a work item (and update the associated input and output data).
    `com.tibco.n2.wp.archive.service.BusinessServiceType` | `getBusinessServiceDetailsByModule(java.lang.String moduleName, java.lang.String processName, java.lang.String moduleVersion, com.tibco.n2.wp.api.base.PresentationChannelRequest channel)` Get the presentation details for a business service.
    `com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse` | `initiateWorkItem(com.tibco.n2.wp.api.base.BaseWorkRequest request)` **PRIVATE API - Reserved for internal use**
    `com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse` | `openNextWorkItem(com.tibco.n2.wp.api.base.BaseRequest request)` Open the next work item for a specified resource.
    `com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse` | `openWorkItem(com.tibco.n2.wp.api.base.BaseWorkRequest request)` Open a work item (to get work presentation details and the associated input and output data).
    `com.tibco.n2.wp.api.PreviewWorkItemResponseDocument.PreviewWorkItemResponse` | `previewWorkItem(com.tibco.n2.wp.api.PreviewWorkItemRequestDocument.PreviewWorkItemRequest request)` Preview a work item(to get work presentation details and the associated input and output data).

- - ### Method Detail

    - #### initiateWorkItem

          com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse initiateWorkItem(com.tibco.n2.wp.api.base.BaseWorkRequest request)
                                                                          throws com.tibco.n2.wp.services.InvalidWorkRequestFault,
                                                                                 com.tibco.n2.wp.services.InternalServiceFault

      **PRIVATE API - Reserved for internal use**
      Parameters:
        `request` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.InvalidWorkRequestFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

    - #### openWorkItem

          com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse openWorkItem(com.tibco.n2.wp.api.base.BaseWorkRequest request)
                                                                      throws com.tibco.n2.wp.services.InvalidWorkRequestFault,
                                                                             com.tibco.n2.wp.services.WorkItemUnavailableFault,
                                                                             com.tibco.n2.wp.services.InternalServiceFault

      Open a work item (to get work presentation details and the associated input and output data).
      Parameters:
        `request` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.InvalidWorkRequestFault`
        `com.tibco.n2.wp.services.WorkItemUnavailableFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

    - #### closeWorkItem

          com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse closeWorkItem(com.tibco.n2.wp.api.base.WorkRequest request)
                                                                       throws com.tibco.n2.wp.services.InvalidWorkRequestFault,
                                                                              com.tibco.n2.wp.services.WorkProcessingFault,
                                                                              com.tibco.n2.wp.services.DataOutOfSyncFault,
                                                                              com.tibco.n2.wp.services.InternalServiceFault

      Close a work item (and update the associated input and output data).
      Parameters:
        `request` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.InvalidWorkRequestFault`
        `com.tibco.n2.wp.services.WorkProcessingFault`
        `com.tibco.n2.wp.services.InternalServiceFault`
        `com.tibco.n2.wp.services.DataOutOfSyncFault`

    - #### completeWorkItem

          com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse completeWorkItem(com.tibco.n2.wp.api.base.WorkRequest request)
                                                                          throws com.tibco.n2.wp.services.WorkProcessingFault,
                                                                                 com.tibco.n2.wp.services.InvalidWorkRequestFault,
                                                                                 com.tibco.n2.wp.services.DataOutOfSyncFault,
                                                                                 com.tibco.n2.wp.services.ChainedTimeOutFault,
                                                                                 com.tibco.n2.wp.services.InternalServiceFault

      Complete a work item (and update the associated input and output data).
      Parameters:
        `request` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.WorkProcessingFault`
        `com.tibco.n2.wp.services.InvalidWorkRequestFault`
        `com.tibco.n2.wp.services.ChainedTimeOutFault`
        `com.tibco.n2.wp.services.InternalServiceFault`
        `com.tibco.n2.wp.services.DataOutOfSyncFault`

    - #### cancelWorkItem

          com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse cancelWorkItem(com.tibco.n2.wp.api.base.BaseWorkRequest request)
                                                                        throws com.tibco.n2.wp.services.WorkProcessingFault,
                                                                               com.tibco.n2.wp.services.InvalidWorkRequestFault,
                                                                               com.tibco.n2.wp.services.InternalServiceFault

      Cancel a work item (discarding any changes to the associated data).
      Parameters:
        `request` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.WorkProcessingFault`
        `com.tibco.n2.wp.services.InvalidWorkRequestFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

    - #### openNextWorkItem

          com.tibco.n2.wp.api.WorkResponseDocument.WorkResponse openNextWorkItem(com.tibco.n2.wp.api.base.BaseRequest request)
                                                                          throws com.tibco.n2.wp.services.WorkItemUnavailableFault,
                                                                                 com.tibco.n2.wp.services.InvalidWorkRequestFault,
                                                                                 com.tibco.n2.wp.services.InternalServiceFault

      Open the next work item for a specified resource.
      Parameters:
        `request` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.WorkItemUnavailableFault`
        `com.tibco.n2.wp.services.InvalidWorkRequestFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

    - #### getBusinessServiceDetailsByModule

          com.tibco.n2.wp.archive.service.BusinessServiceType getBusinessServiceDetailsByModule(java.lang.String moduleName,
                                                                                                java.lang.String processName,
                                                                                                java.lang.String moduleVersion,
                                                                                                com.tibco.n2.wp.api.base.PresentationChannelRequest channel)
                                                                                         throws com.tibco.n2.wp.services.BusinessServiceRequestFault

      Get the presentation details for a business service.
      Parameters:
        `businessServiceDetailsRequest` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.InternalServiceFault`
        `com.tibco.n2.wp.services.BusinessServiceRequestFault`

    - #### previewWorkItem

          com.tibco.n2.wp.api.PreviewWorkItemResponseDocument.PreviewWorkItemResponse previewWorkItem(com.tibco.n2.wp.api.PreviewWorkItemRequestDocument.PreviewWorkItemRequest request)
                                                                                               throws com.tibco.n2.wp.services.InvalidWorkRequestFault,
                                                                                                      com.tibco.n2.wp.services.InternalServiceFault

      Preview a work item(to get work presentation details and the associated input and output data).
      Parameters:
        `PreviewWorkItemRequest` -
      Returns:
      Throws:
        `com.tibco.n2.wp.services.InvalidWorkRequestFault`
        `com.tibco.n2.wp.services.InternalServiceFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.